* {
    text-shadow: unset !important;
}

body, .dropdown-menu, .modal, .modal-footer {
    background: #3B4252;
    color: #eeeeee;
}

#navbar .navbar-inner, #navbar .navbar-inner .nav>li.dropdown.active>.dropdown-toggle, #navbar .navbar-inner .nav>li.dropdown.open.active>.dropdown-toggle, #navbar .navbar-inner .nav>li.dropdown.open>.dropdown-toggle, #navbar .navbar-inner .nav>li>a:hover {
    background-color: #3B4252;
    background-image: unset;
}

.btn .navbar-inner, .octoprint-container .tab-content, .navbar-inner {
    border: 1px solid #2E3440;
}

.table-bordered th, .table-bordered td {
    border-left: 1px solid #2E3440;
}

.nav-tabs {
    border-bottom: unset;
}

.uneditable-input, .uneditable-textarea, textarea, input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"], .uneditable-input, .accordion-inner, .accordion-group, .table-bordered, .table th, .table td, hr, .octoprint-container .tab-content h1, select#webcam_timelapse_mode, .alert, .alert h4, .modal-header, legend, code, select, .modal-footer, .pagination ul>li>a, .pagination ul>li>span {
    border-color: #2E3440;
}

.nav-tabs>li>a:hover, .nav>li>a:hover, .slider .slider-track {
    border: unset;
    background-color: #4C566A;
    background: #4C566A;
    background-image: unset;
    color: #eeeeee;
}

.btn, .input-append .add-on, .input-prepend .add-on, .slider .slider-track {
    border: 1px solid #2E3440;
}

.octoprint-container .accordion-heading [class*=" icon-"], .octoprint-container .accordion-heading [class^=icon-], a {
    color: #8FBCBB !important;
}

.pagination ul>li>a:hover, .pagination ul>.active>a, .pagination ul>.active>span {
    background-color: #8FBCBB;
}

.nav-tabs>.active>a, .nav-tabs>.active>a:hover {
    color: #eeeeee;
    background-color: #4C566A;
    border: 1px solid #2E3440;
}

.progress .bar {
    background-image: linear-gradient(to bottom,#81A1C1,#5E81AC);
}

.btn.active, .btn.disabled, .btn:active, .btn:focus, .btn:hover, .btn[disabled], .btn-primary, textarea, input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"], .uneditable-input, .print-control .btn, .input-prepend.input-append .add-on:first-child, .input-prepend.input-append .btn:first-child, button.btn, .input-append .add-on, .input-append .btn, .input-append .btn-group, .progress, .btn, input[disabled], select[disabled], textarea[disabled], input[readonly], select[readonly], textarea[readonly], select, .pagination ul>li>a, .pagination ul>li>span {
    background-color: #4C566A;
    background-image: unset;
    opacity: unset;
    color: #eeeeee;
}

.progress-text-centered .progress-text-back, span.add-on, pre {
    background-color: #2E3440;
}

input.input-mini.input-nospin {
    opacity: unset;
}

.text-success {
    color: #A3BE8C;
}

.text-error {
    color: #BF616A;
}

.fa, .flot-text, .legendLabel, #control h1, h1, pre, .help-block, .help-inline, legend, #navbar .navbar-inner .brand, #navbar .navbar-inner .nav>li>a {
    color: #eeeeee !important;
}

.table-striped tbody>tr:nth-child(odd)>td, .table-striped tbody>tr:nth-child(odd)>th {
    background-color: #434C5E;
}


.alert, .alert h4 {
    color: black;
    background: #D08770;
}

code {
    background-color: #4C566A;
}

.modal-backdrop, .modal-backdrop.fade.in {
    background: #2E3440;
}